删除指定端口
提交您的用户凭据,客户端ID和客户端机密以进行OAuth2验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅API验证。
要删除端口,请向端点发送DELETE请求/fabric/v4/ports/{id}。在请求路径中按ID指定端口。
| 方法 | 删除 |
| URL 或端点 | /fabric/v4/ports/{portUuid} |
| 标题 | Authorization |
| 路径参数 | uuid |
| 查询参数 | dryRun |
| 身体参数 | 不适用 |
在不删除任何端口的情况下,在Production中安全验证此请求,请参阅在Production中测试(API Dry Run)。
cURL 请求示例:
curl -X DELETE 'https://api.equinix.com/fabric/v4/ports/13c0f286-1190-480c-8a45-b3df00cad9cf'
-H 'Authorization: Bearer <token>'
示例回答:
{
"type": "XF_PORT",
"uuid": "e91484bb-4f65-4ab3-8f77-500dec2f855d",
"name": "test-AT1-Dot1q-L-Secondary-108608",
"physicalPortsType": "10GBASE_L",
"physicalPortsSpeed": 10000,
"physicalPortsCount": 1,
"location": {
"metroCode": "AM"
},
"demarcationPointIbx": "AM1",
"redundancy": {
"group": 1,
"priority": "PRIMARY"
},
"lagEnabled": true,
"encapsulation": {
"type": "DOT1Q",
"tagProtocolId": 33024
},
"package": {
"code": "STANDARD"
},
"settings": {
"sharedPortType": false
},
"project": {
"projectId": 567
},
"account": {
"accountNumber": 1000
},
"order": {
"orderNumber": "1-207799950758",
"signature": {
"signatory": "DELEGATE",
"delegate": {
"email": "testEmail1@equinix.com"
}
}
},
"notifications": [
{
"type": "TECHNICAL",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "NOTIFICATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "PEERING",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "ESCALATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
}
],
"physicalPorts": {
"tether": {
"crossConnectId": "100179-A",
"patchPanel": "PP:8118:1586",
"patchPanelPortA": "92",
"patchPanelPortB": "24"
},
"demarcationPoint": {
"ibx": "AT1",
"patchPanel": "PP:8118:1586",
"patchPanelName": "PP:8118:1586",
"patchPanelPortA": "92",
"patchPanelPortB": "24"
}
}
}
有关响应的详细说明,请参阅API参考。